package info.aspirecn.iov.sjjh.supplier10000053.exception;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: xusonglin
 * @version: V1.0
 **/
@Data
@EqualsAndHashCode
public class ServiceException extends RuntimeException {
    private Integer errorCode;

    public ServiceException(String message) {
        super(message);
    }

    public ServiceException(Integer errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public ServiceException(String message, Throwable exception) {
        super(message, exception);
    }

    public ServiceException(Integer errorCode, String message, Throwable exception) {
        super(message, exception);
        this.errorCode = errorCode;
    }
}
